## GtkItem

GtkItem — Abstract base class for GtkMenuItem, GtkListItem and GtkTreeItem

## Functions

void | gtk_item_select ()
void | gtk_item_deselect ()
void | gtk_item_toggle ()

## Signals

void | deselect | Run First
void | select | Run First
void | toggle | Run First

## Types and Values

struct | GtkItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ├── GtkMenuItem
                                ├── GtkListItem
                                ╰── GtkTreeItem

## Implemented Interfaces

GtkItem implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkItem widget is an abstract base class for GtkMenuItem, GtkListItem and GtkTreeItem.

GtkItem is deprecated and will be removed in GTK+ 3.

## Functions

### gtk_item_select ()

    void
    gtk_item_select (GtkItem *item);

`gtk_item_select` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `gtk_menu_item_select()` instead

Emits the "select" signal on the given item.

#### Parameters

item | a GtkItem. |

### gtk_item_deselect ()

    void
    gtk_item_deselect (GtkItem *item);

`gtk_item_deselect` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `gtk_menu_item_deselect()` instead

Emits the "deselect" signal on the given item.

#### Parameters

item | a GtkItem. |

### gtk_item_toggle ()

    void
    gtk_item_toggle (GtkItem *item);

`gtk_item_toggle` has been deprecated since version 2.22 and should not be used in newly-written code.

This function will be removed in GTK+ 3

Emits the "toggle" signal on the given item.

#### Parameters

item | a GtkItem. |

## Types and Values

### struct GtkItem

    struct GtkItem;

The GtkItem struct contains private data only, and should be accessed using the functions below.

## Signal Details

### The `“deselect”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Emitted when the item is deselected.

#### Parameters

item | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“select”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Emitted when the item is selected.

#### Parameters

item | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“toggle”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Emitted when the item is toggled.

#### Parameters

item | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First